import request from '@/utils/request'

// 查询wifi列表
export function listWifi(query) {
  return request({
    url: '/system/wifi/list',
    method: 'get',
    params: query
  })
}

// 查询wifi详细
export function getWifi(wifiId) {
  return request({
    url: '/system/wifi/' + wifiId,
    method: 'get'
  })
}

// 新增wifi
export function addWifi(data) {
  return request({
    url: '/system/wifi',
    method: 'post',
    data: data
  })
}

// 修改wifi
export function updateWifi(data) {
  return request({
    url: '/system/wifi',
    method: 'put',
    data: data
  })
}

// 删除wifi
export function delWifi(wifiId) {
  return request({
    url: '/system/wifi/' + wifiId,
    method: 'delete'
  })
}
